<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Account</title>
        <div th:replace="fragments/header :: header-css"/>
    </head>
    <body>
        <div th:replace="fragments/header :: header"/>
        <div class="container">
            <div class="starter-template">
                <h1>Admin page (Spring Security protected)</h1>
                <h2 th:inline="text">Hello [[${#httpServletRequest.remoteUser}]]!</h2>
            </div>
            Account Details:
            <br/><br/>
            <div th:text="'Username: ' + ${account.user.username}" />
            <div th:text="'Age: ' + ${account.age}" />
            <div th:text="'Gender: ' + ${account.gender.displayName}" />

            <div th:if="${not #lists.isEmpty(listAccounts)}">
                <br/><br/><br/><br/>
                All users in the system:
                <br/>
                <table class="table table-striped">
                    <tr>
                        <th>Username</th>
                        <th>Age</th>
                        <th>Gender</th>
                    </tr>
                    <tr th:each="accountForm : ${listAccounts}">
                        <td th:text="${accountForm.username}"/>
                        <td th:text="${accountForm.age}"/>
                        <td th:text="${accountForm.gender.displayName}"/>
                        <td th:text="${accountForm.roles}"/>
                        <td>
                            <a th:href="@{'/account/' + ${accountForm.id}}">Edit</a>
                        </td>
                    </tr>
                </table>
                <br/><br/>
            </div>

            <form th:action="@{/logout}" method="post">
                <input type="submit" value="Sign Out"/>
            </form>
        </div>
        <!-- /.container -->
        <div th:replace="fragments/footer :: footer"/>
    </body>
</html>